### Signal

# Shumate MapLayer::symbol-clicked

since: 1.1

#### Declaration

    void
    symbol_clicked (
      ShumateMapLayer* self,
      ShumateSymbolEvent* event,
      gpointer user_data
    )

#### Description [src]

Emitted when a symbol in the map layer is clicked.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.1

#### Parameters

`event`

  Type: `ShumateSymbolEvent`

  A `ShumateSymbolEvent` with details about the clicked symbol.

  The data is owned by the caller of the function.